# Interface methods for submodule: VnlInverseFFTImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import InverseFFTImageFilterProxy as _InverseFFTImageFilterProxy


# Interface methods for class: VnlInverseFFTImageFilter
class VnlInverseFFTImageFilterProxy(_InverseFFTImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetSizeGreatestPrimeFactor(self) -> int:
		""""""
		...

